Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 207288 - AntProjectHelper.createSharabilityQuery2
AntProjectHelper.createSharabilityQuery2
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Ant
7.2
All All
: P3 (vote)
: 7.2
Assigned To: Jesse Glick
issues@projects
: API, API_REVIEW_FAST
Depends on: 198060
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-13 17:11 UTC by Jesse Glick
Modified: 2012-01-25 16:39 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Proposed patch (30.85 KB, patch)
2012-01-13 17:45 UTC, Jesse Glick
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2012-01-13 17:11:40 UTC
Since SharabilityQueryImplementation is deprecated, warning-clean code needs a SharabilityQueryImplementation2 to place in project lookup.

(AntProjectHelper does not currently supported non-File-based projects in other respects, so it is probably not needed for remote FS support, but it cannot hurt.)
Comment 1 Jesse Glick 2012-01-13 17:45:07 UTC
Please review.
Comment 2 Jesse Glick 2012-01-13 17:45:11 UTC
Created attachment 114885 [details]
Proposed patch
Comment 3 Jesse Glick 2012-01-20 14:32:03 UTC
core-main #9935a6c3706c
Comment 4 Quality Engineering 2012-01-25 16:39:10 UTC
Integrated into 'main-golden', will be available in build *201201250600* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/9935a6c3706c
User: Jesse Glick <jglick@netbeans.org>
Log: #207288: AntProjectHelper.createSharabilityQuery2.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo